<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author         Varun Shoor
 *
 * @package        SWIFT
 * @copyright      Copyright (c) 2001-2012, Kayako
 * @license        http://www.kayako.com/license
 * @link           http://www.kayako.com
 *
 * ###############################################
 */
if (!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');

require_once('include/MVC/View/SugarView.php');
require_once('modules/ky_Tickets/KayakoHelper.php');
require_once('modules/ky_Tickets/KayakoConnection.php');

class ViewSettingManager extends SugarView
{
	public function preDisplay()
	{
		global $current_user;

		if (!is_admin($current_user)) {
			sugar_die("No access");
		}
	}

	public function display()
	{
		echo $this->getModuleTitle();

		$kayako_helper = new KayakoHelper();

		$kayako_url = $kayako_helper->getConfigValue('url');

		if ($kayako_url == null) {
			echo "Thank you for installing Kayako for SugarCRM.<br/>";
			echo "<a href='index.php?module=ky_Tickets&action=config'>Configure Kayako Authentication Details</a>.";
		} else {

			$admin = new Administration();

			$admin->retrieveSettings('kayako');
			$this->ss->assign('kayako_url', $admin->settings['system_kayako_url']);
			$this->ss->assign('kayako_api', $admin->settings['system_kayako_api']);
			$this->ss->assign('kayako_secret', $admin->settings['system_kayako_key']);

			$this->ss->display('modules/ky_Tickets/tpls/settingmanager.tpl');
		}
	}
}
